Store a transaction id of an order.
POST
/api/v1/user/sell/orders/{id}/transaction-info
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The id or partner order identifier of the order to store the transaction info for.
Request Body required
Section titled “Request Body required ”Example
{ "transactionId": "8ae994e962f3014cf2ddf05fc7f86972977f5fb6327b74b81ae94ed61417d61f"}Responses
Section titled “ Responses ”Transaction ID stored succesfully.
object
transactionId
The transaction id of the order.
string
Example
c6fefe8d7ac0f4113876d634e8d15f65947f1b62d4859fffcd2464d2be58b2d8 address
The address to which the coins have been sent.
string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5 destinationTag
The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.
string|integer
Example
{ "default": "ABC1234", "XRP": 12341} amount
One of:
object
amount
required
The amount of the cryptocurrency.
number format: float
Example
0.5 currencyCode
required
The currency code.
string
Example
BTC finishedAt
The date and time when the transaction was finished.
string format: date-time
Example
2019-06-18T07:32:28ZA list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER034": { "code": "ER034", "message": "Invalid order id parameter.", "solution": "Order id parameter can only be a number." }, "ER035": { "code": "ER035", "message": "An order with the supplied id was not found.", "solution": "Supply a valid order id." }, "ER095": { "code": "ER095", "message": "No transaction id provided.", "solution": "Provide a valid transaction id for the currency of the order." }, "ER096": { "code": "ER096", "message": "Invalid transaction id provided.", "solution": "Provide a valid transaction id for the currency of the order." }, "ER097": { "code": "ER097", "message": "An error occurred while saving the transaction info.", "solution": "Please contact support for assistance." }, "ER700": { "code": "ER700", "message": "User authorization token not found.", "solution": "Provide a user authorization token." }, "ER701": { "code": "ER701", "message": "User authorization token has expired.", "solution": "Request a new authorization token, or refresh the token." }, "ER702": { "code": "ER702", "message": "User authorization token is invalid.", "solution": "Provide a valid user authorization token." }, "ER703": { "code": "ER703", "message": "User identifier does not belong to the user in the user authorization token.", "solution": "Provide a valid user identifier, or remove the user identifier header." }, "ER704": { "code": "ER704", "message": "No user identifier found in headers.", "solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that." }, "ER705": { "code": "ER705", "message": "User identifier is not linked to a user.", "solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism." }, "ER706": { "code": "ER706", "message": "User identifier is invalid.", "solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use." }, "ER707": { "code": "ER707", "message": "User identifier is invalid.", "solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only." }, "ER708": { "code": "ER708", "message": "There is a pending document for this side.", "solution": "Wait for the pending document to be reviewed." }, "ER709": { "code": "ER709", "message": "User not found, or user has been deleted.", "solution": "Provide a valid user identifier." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}